<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Framework\Setting\Site;

/**
 * Interface for all site setting view implementations.
 */
interface SiteSettingView
{
    /**
     * Renders the site setting markup.
     *
     * @param int $siteId
     * @return bool
     */
    public function render(int $siteId): bool;
}
